* build-aux/javaexec.sh.in: Send debugging output to stderr, not stdout.
* build-aux/javacomp.sh.in: Likewise.
* build-aux/csharpexec.sh.in: Likewise.
* build-aux/csharpcomp.sh.in: Likewise.
+2024-10-10 Bruno Haible <bruno@clisp.org>
+
+ java{comp,exec}-script, csharp{comp,exec}-script: Improve debugging.
+ * build-aux/javaexec.sh.in: Send debugging output to stderr, not stdout.
+ * build-aux/javacomp.sh.in: Likewise.
+ * build-aux/csharpexec.sh.in: Likewise.
+ * build-aux/csharpcomp.sh.in: Likewise.
+
2024-10-09 Bruno Haible <bruno@clisp.org>
csharpcomp: Avoid error on Windows.
}'
func_tmpdir
trap 'rm -rf "$tmp"' HUP INT QUIT TERM
- test -z "$CSHARP_VERBOSE" || echo mcs $options_mcs $sources
+ test -z "$CSHARP_VERBOSE" || echo mcs $options_mcs $sources 1>&2
mcs $options_mcs $sources > "$tmp"/mcs.err
result=$?
sed -e "$sed_drop_success_line" < "$tmp"/mcs.err >&2
csc=`cygpath -w "$csc"`
;;
esac
- test -z "$CSHARP_VERBOSE" || echo dotnet "$csc" $options_csc $sources_csc
+ test -z "$CSHARP_VERBOSE" || echo dotnet "$csc" $options_csc $sources_csc 1>&2
exec dotnet "$csc" $options_csc $sources_csc
else
if test -n "@HAVE_DOTNET_CSC@" || test -n "@HAVE_CSC@"; then
- test -z "$CSHARP_VERBOSE" || echo csc $options_csc $sources_csc
+ test -z "$CSHARP_VERBOSE" || echo csc $options_csc $sources_csc 1>&2
exec csc $options_csc $sources_csc
else
echo 'C# compiler not found, try installing mono or dotnet, then reconfigure' 1>&2
MONO_PATH="$CONF_MONO_PATH"
fi
export MONO_PATH
- test -z "$CSHARP_VERBOSE" || echo mono "$@"
+ test -z "$CSHARP_VERBOSE" || echo mono "$@" 1>&2
exec mono "$@"
else
if test -n "@HAVE_DOTNET@"; then
runtimeconfig_arg=`cygpath -w "$runtimeconfig"`
;;
esac
- test -z "$CSHARP_VERBOSE" || echo dotnet exec --runtimeconfig "$runtimeconfig_arg" "$prog_arg" "$@"
+ test -z "$CSHARP_VERBOSE" || echo dotnet exec --runtimeconfig "$runtimeconfig_arg" "$prog_arg" "$@" 1>&2
dotnet exec --runtimeconfig "$runtimeconfig_arg" "$prog_arg" "$@"
result=$?
rm -f "$runtimeconfig"
prog=`cygpath -w "$prog"`
;;
esac
- test -z "$CSHARP_VERBOSE" || echo clix "$prog" "$@"
+ test -z "$CSHARP_VERBOSE" || echo clix "$prog" "$@" 1>&2
exec clix "$prog" "$@"
else
echo 'C# virtual machine not found, try installing mono or dotnet, then reconfigure' 1>&2
CLASSPATH="$CONF_CLASSPATH"
fi
export CLASSPATH
- test -z "$JAVA_VERBOSE" || echo "$CONF_JAVAC $@"
+ test -z "$JAVA_VERBOSE" || echo "$CONF_JAVAC $@" 1>&2
exec $CONF_JAVAC "$@"
else
unset JAVA_HOME
# In this case, $CONF_JAVAC starts with "javac".
CLASSPATH="$CLASSPATH"
export CLASSPATH
- test -z "$JAVA_VERBOSE" || echo "$CONF_JAVAC $@"
+ test -z "$JAVA_VERBOSE" || echo "$CONF_JAVAC $@" 1>&2
exec $CONF_JAVAC "$@"
else
echo 'Java compiler not found, try setting $JAVAC, then reconfigure' 1>&2
CLASSPATH="$CONF_CLASSPATH"
fi
export CLASSPATH
- test -z "$JAVA_VERBOSE" || echo "$CONF_JAVA $@"
+ test -z "$JAVA_VERBOSE" || echo "$CONF_JAVA $@" 1>&2
exec $CONF_JAVA "$@"
else
unset JAVA_HOME
export CLASSPATH
if test -n "@HAVE_JAVA@"; then
# In this case, $CONF_JAVA is "java".
- test -z "$JAVA_VERBOSE" || echo "$CONF_JAVA $@"
+ test -z "$JAVA_VERBOSE" || echo "$CONF_JAVA $@" 1>&2
exec $CONF_JAVA "$@"
else
if test -n "@HAVE_JRE@"; then
# In this case, $CONF_JAVA is "jre".
- test -z "$JAVA_VERBOSE" || echo "$CONF_JAVA $@"
+ test -z "$JAVA_VERBOSE" || echo "$CONF_JAVA $@" 1>&2
exec $CONF_JAVA "$@"
else
echo 'Java virtual machine not found, try setting $JAVA, then reconfigure' 1>&2